Commit e88b34cc authored by Manish Singh's avatar Manish Singh
Browse files

configure detects gtk 0.99.4 or higher

completed plugin split

-Yosh
parent e9638742
Tue Feb 24 04:14:36 PST 1998 Manish Singh <yosh@gimp.org>
* configure.in: change to detect GTK 0.99.4 or higher
Sun Feb 22 02:43:12 PST 1998 Manish Singh <yosh@gimp.org>
* app/text_tool.c: use our own sort function to appease
......
Some notes on GIMP-0.99.18:
* The AA, MathMap, GAG, user_filter, rcm, FractalExplorer, and Gfig plugins
are included but not yet integrated into the build cause of instability or
other unresolved issues.
Please read the file TODO-DIST to find more information about things
that were not included or that are (possibly) broken in this distribution.
......
......@@ -45,6 +45,7 @@ static char *scroll_text[] =
"Roberto Boyd",
"Seth Burgess",
"Brent Burton",
"Francisco Bustamente",
"Ed Connel",
"Andreas Dilger",
"Larry Ewing",
......
......@@ -45,6 +45,7 @@ static char *scroll_text[] =
"Roberto Boyd",
"Seth Burgess",
"Brent Burton",
"Francisco Bustamente",
"Ed Connel",
"Andreas Dilger",
"Larry Ewing",
......
......@@ -45,6 +45,7 @@ static char *scroll_text[] =
"Roberto Boyd",
"Seth Burgess",
"Brent Burton",
"Francisco Bustamente",
"Ed Connel",
"Andreas Dilger",
"Larry Ewing",
......
......@@ -68,10 +68,10 @@ AC_DEFUN(AC_GIMP_CHECK,
LDFLAGS="$saved_ldflags $X_LDFLAGS $X_LIBS"
dnl Dont cache this as it depends on CFLAGS, LDFLAGS, etc
AC_MSG_CHECKING([for gtk >= 0.99.3])
AC_MSG_CHECKING([for gtk >= 0.99.4])
AC_TRY_COMPILE(
[#include <gtk/gtk.h>],
[GtkArgSetFunc arg_set_func;],
[GtkTooltipsClass tipclass;],
gtk_found=yes,
gtk_found=no)
AC_MSG_RESULT($gtk_found)
......@@ -148,18 +148,6 @@ dnl Test for libmpeg
AC_MSG_WARN(*** MPEG plug-in will not be built ***))
fi
#dnl Test for libtcl
# if test -z "$LIBTCL_LIB"; then
# AC_CHECK_LIB(dl, dlopen, DL_LIBRARY=-ldl)
# AC_ARG_WITH(tcl, --with-{tcl/tk} use this tcl/tk library,
# AC_CHECK_LIB($with_tcl, Tcl_StaticPackage,
# GIMPTCL='gimptcl'; LIBTCL_LIB="-l$with_tcl -l$with_tk $DL_LIBRARY",
# AC_MSG_WARN(*** gimptcl plug-in will not be built ***), -lm $DL_LIBRARY),
# AC_CHECK_LIB(tcl, Tcl_StaticPackage,
# GIMPTCL='gimptcl'; LIBTCL_LIB="-ltcl -ltk $DL_LIBRARY",
# AC_MSG_WARN(*** gimptcl plug-in will not be built ***), -lm $DL_LIBRARY))
# fi
dnl Test for libxdelta
if test -z "$LIBXDELTA_LIB"; then
AC_CHECK_LIB(xdelta, xd_checkin,
......@@ -256,8 +244,6 @@ AC_SUBST(PNG)
AC_SUBST(LIBPNG_LIB)
AC_SUBST(MPEG)
AC_SUBST(LIBMPEG_LIB)
#AC_SUBST(GIMPTCL)
#AC_SUBST(LIBTCL_LIB)
AC_SUBST(XD)
AC_SUBST(LIBXDELTA_LIB)
AC_SUBST(XPM)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment